package core.api

import core.api.consts.Items

enum class God(vararg val validItems: Int) {
    ARMADYL(
        Items.ARMADYL_CHESTPLATE_11720,
        Items.ARMADYL_GODSWORD_11694,
        Items.ARMADYL_HELMET_11718,
        Items.ARMADYL_HELMET_CHARGED_12671,
        Items.ARMADYL_HELMET_E_12670,
        Items.ARMADYL_PENDANT_87,
        Items.ARMADYL_PLATESKIRT_11722,
    ),
    BANDOS(
        Items.ANCIENT_MACE_11061,
        Items.BANDOS_BOOTS_11728,
        Items.BANDOS_CHESTPLATE_11724,
        Items.BANDOS_GODSWORD_11696,
        Items.BANDOS_TASSETS_11726,
    ),
    SARADOMIN(
        Items.ANCIENT_SYMBOL_11181,
        Items.GILDED_KITESHIELD_3489,
        Items.HOLY_BOOK_3840,
        Items.HOLY_SYMBOL_1718,
        Items.HOLY_SYMBOL_4682,
        Items.MONKS_ROBE_542,
        Items.MONKS_ROBE_544,
        Items.RUNE_HERALDIC_HELM_8488,
        Items.SARADOMIN_BRACERS_10384,
        Items.SARADOMIN_CAPE_2412,
        Items.SARADOMIN_CHAPS_10388,
        Items.SARADOMIN_CLOAK_10446,
        Items.SARADOMIN_COIF_10390,
        Items.SARADOMIN_CROZIER_10440,
        Items.SARADOMIN_DHIDE_10386,
        Items.SARADOMIN_FULL_HELM_2665,
        Items.SARADOMIN_GODSWORD_11698,
        Items.SARADOMIN_KITESHIELD_2667,
        Items.SARADOMIN_MITRE_10452,
        Items.SARADOMIN_MJOLNIR_6762,
        Items.SARADOMIN_PLATEBODY_2661,
        Items.SARADOMIN_PLATELEGS_2663,
        Items.SARADOMIN_PLATESKIRT_3479,
        Items.SARADOMIN_PLATESKIRT_3675,
        Items.SARADOMIN_ROBE_LEGS_10464,
        Items.SARADOMIN_ROBE_TOP_10458,
        Items.SARADOMIN_STAFF_2415,
        Items.SARADOMIN_STOLE_10470,
        Items.SARADOMIN_SWORD_11730,
        Items.SARADOMIN_SYMBOL_8055,
        Items.STEEL_HERALDIC_HELM_8706,
    ),
    ZAMORAK(
        Items.DAGONHAI_HAT_14499,
        Items.DAGONHAI_ROBE_TOP_14497,
        Items.DAGONHAI_ROBE_BOTTOM_14501,
        Items.DAMAGED_BOOK_3841,
        Items.RUNE_HERALDIC_HELM_8494,
        Items.STEEL_HERALDIC_HELM_8712,
        Items.UNHOLY_BOOK_3842,
        Items.UNHOLY_SYMBOL_1724,
        Items.UNHOLY_SYMBOL_3852,
        Items.UNHOLY_SYMBOL_4683,
        Items.ZAMORAK_BRACERS_10368,
        Items.ZAMORAK_CAPE_2414,
        Items.ZAMORAK_CHAPS_10372,
        Items.ZAMORAK_CLOAK_10450,
        Items.ZAMORAK_COIF_10374,
        Items.ZAMORAK_CROZIER_10444,
        Items.ZAMORAK_DHIDE_10370,
        Items.ZAMORAK_DHIDE_10790,
        Items.ZAMORAK_FULL_HELM_2657,
        Items.ZAMORAK_GODSWORD_11700,
        Items.ZAMORAKIAN_SPEAR_11716,
        Items.ZAMORAK_KITESHIELD_2659,
        Items.ZAMORAK_MITRE_10456,
        Items.ZAMORAK_MJOLNIR_6764,
        Items.ZAMORAK_PLATEBODY_10776,
        Items.ZAMORAK_PLATEBODY_2653,
        Items.ZAMORAK_PLATELEGS_2655,
        Items.ZAMORAK_PLATESKIRT_3478,
        Items.ZAMORAK_PLATESKIRT_3674,
        Items.ZAMORAK_ROBE_LEGS_10468,
        Items.ZAMORAK_ROBE_TOP_10460,
        Items.ZAMORAK_ROBE_TOP_10786,
        Items.ZAMORAK_STAFF_2417,
        Items.ZAMORAK_STOLE_10474,
        Items.ZAMORAK_SYMBOL_8056,
    ),
    GUTHIX(
        Items.STEEL_HERALDIC_HELM_8692,
        Items.RUNE_HERALDIC_HELM_8474,
        Items.GUTHIX_BRACERS_10376,
        Items.GUTHIX_CAPE_10720,
        Items.GUTHIX_CHAPS_10380,
        Items.GUTHIX_CLOAK_10448,
        Items.GUTHIX_COIF_10382,
        Items.GUTHIX_CROZIER_10442,
        Items.GUTHIX_DRAGONHIDE_10378,
        Items.GUTHIX_DRAGONHIDE_10794,
        Items.GUTHIX_FULL_HELM_13833,
        Items.GUTHIX_FULL_HELM_2673,
        Items.GUTHIX_KITESHIELD_13834,
        Items.GUTHIX_KITESHIELD_2675,
        Items.GUTHIX_MITRE_10454,
        Items.GUTHIX_MJOLNIR_6760,
        Items.GUTHIX_PLATEBODY_10780,
        Items.GUTHIX_PLATEBODY_2669,
        Items.GUTHIX_PLATEBODY_13830,
        Items.GUTHIX_PLATELEGS_2671,
        Items.GUTHIX_PLATELEGS_13831,
        Items.GUTHIX_PLATESKIRT_13832,
        Items.GUTHIX_PLATESKIRT_3676,
        Items.GUTHIX_ROBE_LEGS_10466,
        Items.GUTHIX_ROBE_TOP_10462,
        Items.GUTHIX_ROBE_TOP_10788,
        Items.GUTHIX_STAFF_2416,
        Items.GUTHIX_STOLE_10472,
        Items.GUTHIX_SYMBOL_8057
    ),
    ZAROS(
        Items.ANCIENT_STAFF_13406,
        Items.ANCIENT_STAFF_4675,
        Items.ANCIENT_MACE_11061,
        Items.ANCIENT_BOOK_7633,
    )
}
